Documents
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Query Parameters
Full text search over title and content
Filter to documents linked to this issue identifier
Filter to a single team
Response Body
application/json
application/json
curl -X GET "https://example.com/documents"{ "documents": [ { "id": "string", "title": "string", "team": { "key": "string", "name": "string" }, "content": "string", "creator": { "id": "string", "name": "string" }, "issues": [ { "identifier": "string", "title": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/documents" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "team": "string" }'{ "document": { "id": "string", "title": "string", "team": { "key": "string", "name": "string" }, "content": "string", "creator": { "id": "string", "name": "string" }, "issues": [ { "identifier": "string", "title": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Document id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/documents/string"{ "document": { "id": "string", "title": "string", "team": { "key": "string", "name": "string" }, "content": "string", "creator": { "id": "string", "name": "string" }, "issues": [ { "identifier": "string", "title": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Document id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/documents/string" \ -H "Content-Type: application/json" \ -d '{}'{ "document": { "id": "string", "title": "string", "team": { "key": "string", "name": "string" }, "content": "string", "creator": { "id": "string", "name": "string" }, "issues": [ { "identifier": "string", "title": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
Document id
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/documents/string"{ "ok": true}